Do the new apple ear-pods work with a NANO 4TH GEN, running version 1.0.4. Seems the ad specifies ver 1.0.3 only for 4th Gen.

Back To Product

Follow this Question

1 Answer from the Community

  • Answer

    Yes they can, I tried it and they worked

    Was this useful? Answer 1

    1 of 1 people found this useful

Related Questions